Subject: bug#418: festlex-ifd: SIOD ERROR: wrong type of argument to get_c_utt when using italian language

From: Fabio Muzzi <[email-masked]>
Date: Thu, 26 Mar 2020 00:50:40 +0100

Package: festlex-ifd
Version: 2.0+debian0-4
Severity: normal

Dear Maintainer,

After installing festlex-ifd and selecting italian as default language, if I try to use Festival with Asterisk (or if I run festival and execute the same command that Asterisk uses to generate audio from text, that is 

(tts_textasterisk "prova 123 prova" 'file)(quit)

I get an error that states "SIOD ERROR: wrong type of argument to get_c_utt" and no audio data is sent back to asterisk for processing. If i use another language (English for example) Festival works.

Steps to reproduce:

apt install festlex-ifd (which installs also festival and other dependencies)

run festival as a server from command line so I can see the errors:

festival --server -b --language italian

then, try to execute a function that calls festival in Asterisk.

I get the error "SIOD ERROR: wrong type of argument to get_c_utt" in
festival and no audio is returned to Asterisk.

This happens also if I run festival not as a server, like this:

festival --language italian

And then enter the command (tts_textasterisk "prova 123 prova"
'file)(quit) at the prompt. 

If I install festvox-kdlpc8k (american english language) and launch
festival without "--langauge italian" so that english is used, festival
works properly.

-- System Information:
Distributor ID:	Debian
Description:	Devuan GNU/Linux 3 (beowulf)
Release:	3
Codename:	beowulf
Architecture: x86_64

Kernel: Linux 4.9.0-12-amd64 (SMP w/2 CPU cores)
Kernel taint flags: TAINT_OOT_MODULE
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US:en (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

Versions of packages festlex-ifd depends on:
ii  festival  1:2.5.0-3

Versions of packages festlex-ifd recommends:
ii  festvox-italp16k  2.0+debian0-4
ii  festvox-itapc16k  2.0+debian0-4

festlex-ifd suggests no packages.

-- no debconf information